## python-term-image 0.7.1

=== requirements.txt ===
Pillow==9.4.0
black==22.12.0
flake8==5.0.4
isort[colors]==5.12.0;python_version>="3.8"
isort[colors]==5.11.4;python_version<"3.8"
pytest==7.2.0
requests==2.28.1
urwid==2.1.2

=== debian/changelog ===
python-term-image (0.7.1-3) unstable; urgency=medium

  * add python3-urwid autopkgtest dependency

 -- Martin <debacle@debian.org>  Mon, 19 Feb 2024 10:02:34 +0000

python-term-image (0.7.1-2) unstable; urgency=medium

  * source-only upload

 -- Martin <debacle@debian.org>  Mon, 19 Feb 2024 02:38:42 +0000

python-term-image (0.7.1-1) unstable; urgency=medium

  * initial release (Closes: #1063940)

 -- Martin <debacle@debian.org>  Thu, 15 Feb 2024 21:20:17 +0000

=== debian/control ===
Source: python-term-image
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>,
Build-Depends: debhelper-compat (= 13),
	dh-python,
	furo,
	python3-all-dev,
	python3-pil,
	python3-pytest,
	python3-requests,
	python3-sphinx,
	python3-urwid,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AnonymouX47/term-image
Vcs-Git: https://salsa.debian.org/python-team/packages/python-term-image.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-term-image

Package: python3-term-image
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Display images in the terminal with Python term-image is a
 library and program to display images on compatible terminals.
 .
 Features:
  - Multiple image formats (basically all formats supported by PIL.Image.open()
  - Multiple image source types: PIL image instance, local file, URL
  - Multiple image render styles (with automatic support detection)
  - Support for multiple terminal graphics protocols: Kitty, iTerm2
    - Exposes various features of the protocols
  - Transparency support (with multiple options)
  - Animated image support (including transparent ones)
    - Multiple formats: GIF, WEBP, APNG (and possibly more)
    - Fully controllable iteration over rendered frames of animated images
    - Image animation with multiple parameters
  - Integration into various TUI / terminal-based output libraries.
  - Terminal size awareness
  - Automatic and manual image sizing
  - Horizontal and vertical alignment
  - Automatic and manual font ratio adjustment (to preserve image aspect ratio)
 .
 This package provides the Python 3.x module.

Package: python-term-image-doc
Architecture: all
Depends: ${misc:Depends},
	${sphinxdoc:Depends},
Description: Display images in the terminal with Python term-image is a
 library and program to display images on compatible terminals.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=term-image

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html -N docs/source \
	    $(CURDIR)/debian/python-term-image-doc/usr/share/doc/python-term-image-doc/html
endif

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/term-image_$1.tar.gz/" \
  https://github.com/AnonymouX47/term-image/tags .*/v?(\d\S*)\.tar\.gz

## python-term-image 0.7.2

=== Makefile ===
.PHONY: build docs

_: check test


# Development Environment Setup

pip:
	python -m pip install --upgrade pip

install: install-req
	python -m pip install -e .

install-all: pip
	python -m pip install --upgrade -e . -r requirements.txt -r docs/requirements.txt

install-req: pip
	python -m pip install --upgrade -r requirements.txt

install-req-all: pip
	python -m pip install --upgrade -r requirements.txt -r docs/requirements.txt

install-req-docs: pip
	python -m pip install --upgrade -r docs/requirements.txt

uninstall:
	pip uninstall -y term-image


# Pre-commit Checks and Corrections

check: check-code

py_files := *.py src/ docs/source/conf.py tests/

## Code Checks

check-code: lint check-format check-imports

lint:
	flake8 $(py_files) && echo

check-format:
	black --check --diff --color $(py_files) && echo

check-imports:
	isort --check --diff --color $(py_files) && echo

## Code Corrections

format:
	black $(py_files)

imports:
	isort $(py_files)


# Tests

pytest := pytest -v

## Filepath variables

test-top := tests/test_top_level.py
test-base := tests/test_image/test_base.py
test-block := tests/test_image/test_block.py
test-kitty := tests/test_image/test_kitty.py
test-iterm2 := tests/test_image/test_iterm2.py
test-url := tests/test_image/test_url.py
test-others := tests/test_image/test_others.py
test-iterator := tests/test_iterator.py
test-urwid := tests/test_widget/test_urwid.py

test-text := $(test-block)
test-graphics := $(test-kitty) $(test-iterm2)
test-image := $(test-base) $(test-text) $(test-graphics) $(test-others)
test-widget := $(test-urwid)
test := $(test-top) $(test-image) $(test-iterator) $(test-widget)
test-all := $(test) $(test-url)

## Targets

test-all test test-image test-text test-graphics test-widget \
test-top test-base test-block test-kitty test-iterm2 test-url test-others test-iterator test-urwid:
	$(pytest) $($@)


# Building the Docs

docs:
	cd docs/ && make html

clean-docs:
	cd docs/ && make clean


# Packaging

build:
	python -m pip install --upgrade pip
	python -m pip install --upgrade build
	python -m build

clean:
	rm -rf build dist

=== requirements.txt ===
black==23.12.1;python_version>="3.8"
black==23.3.0;python_version<"3.8"
flake8==7.0.0;python_version>="3.8.1"
flake8==5.0.4;python_version<"3.8.1"
isort[colors]==5.13.2;python_version>="3.8"
isort[colors]==5.11.4;python_version<"3.8"
pillow==10.3.0;python_version>="3.8"
pillow==9.5.0;python_version<"3.8"
pytest==8.2.1;python_version>="3.8"
pytest==7.4.4;python_version<"3.8"
requests==2.31.0
urwid==2.6.12

=== docs/requirements.txt ===
sphinx==6.1.2
furo==2022.12.7
sphinx-toolbox==3.4.0
urwid==2.1.2

# `sphinx-toolbox` requires `cachecontrol`, which is incompatible with `urllib3>=2`
# See https://github.com/ionrock/cachecontrol/issues/292
urllib3<2

=== debian/changelog ===
python-term-image (0.7.2-1) unstable; urgency=medium

  * Team Upload
  * Add d/gbp.conf
  * New upstream version 0.7.2
  * Use dh-sequence-python3
  * Add build-dependency on python3-setuptools (Closes: #1080779)
  * Fix long description (Closes: #1064271)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 12 Oct 2024 13:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-	dh-python,
+	dh-sequence-python3,
 	furo,
+	pybuild-plugin-pyproject,
 	python3-all-dev,
 	python3-pil,
 	python3-pytest,
+	python3-setuptools,
 	python3-requests,
 	python3-sphinx,
 	python3-urwid,
@@ -22,8 +24,8 @@
 Architecture: all
 Depends: ${misc:Depends},
 	${python3:Depends},
-Description: Display images in the terminal with Python term-image is a
- library and program to display images on compatible terminals.
+Description: Display images in the terminal with Python
+ term-image is a library and program to display images on compatible terminals.
  .
  Features:
   - Multiple image formats (basically all formats supported by PIL.Image.open()
@@ -46,9 +48,10 @@
 
 Package: python-term-image-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 	${sphinxdoc:Depends},
-Description: Display images in the terminal with Python term-image is a
- library and program to display images on compatible terminals.
+Description: Display images in the terminal with Python
+ term-image is a library and program to display images on compatible terminals.
  .
  This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=term-image
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with sphinxdoc
 
 execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: cp -r LICENSE tests/ $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; pytest -v
Depends: @, @recommends@, python3-pytest, python3-urwid
